// Mod DP 27/9/11 - change subtitle query string name from "subLanguage" to "lang"

function getVideo() {
	var leaf = getLeafName();
	var menuName = getMenuName();

	if ( menuName==undefined ) return false;
	if ( videoPages==undefined ) return false;
	if ( videoPages[menuName]==undefined ) return false;
	return videoPages[menuName][leaf];
}

function outputVideoMenu() {
	var leaf = getLeafName();
	var menuName = getMenuName();
	if ( !menuName ) return;
	if ( !videoPages ) return;
	var vpages = videoPages[menuName];

	if ( !vpages ) return;
	var qs = getCurrentQuery();
	
	document.write('<div class="pagemenu">\n');
	for (var v in vpages) {
		var page = vpages[v];
		var atts="";
		if ( v==leaf ) atts+=' class="currentmenu" ';
		document.write (
			'<p'+atts+'><a href="'+v+qs+'"><img class="photo" src="pics/'+page.image+'" title="'+page.imagetitle+'"/></a>'+
			'<br/><a href="'+v+qs+'" class="lnk">'+page.title+'</a></p>'
		);
	}
	document.write('</div>');
	
}

function getAllSubLanguages() {
	var keys = Array();
	for ( var k in subLanguages ) keys.push(k);
	return keys;
}

function outputSubtitleMenu(label) {
	var video = getVideo();
	if ( !video ) return;
	
	
	if ( video.subtitles!=false ) {

		var langs;

		if ( video.subtitles==true )
			langs = getAllSubLanguages();
		else
			langs=video.subtitles;

		document.write('<div class="subtitlemenu"><p>'+label+" ");

		if ( !language ) {
			language=defaultSubLanguage;
		}
		
		for ( var i in langs ) {
			var selected="";
			var k=langs[i];
			if (k==language ) selected=' checked="checked" ';
			document.write('<input name="selectsub" onChange="setSubtitleLanguage(this)" type="radio" value="'+k+'"'+selected+'>'+subLanguages[k]+'</input>');
		}
		document.write('</p></div>');

// Maybe switch back to this if we get a *lot* of subtitles
//		document.write('<select onChange="setSubtitleLanguage(this)">');
//
//		if ( !language ) {
//			language=defaultSubLanguage;
//		}
//		
//		for ( var i in langs ) {
//			var selected="";
//			var k=langs[i];
//			if (k==language ) selected=' selected="selected" ';
//			document.write('<option value="'+k+'"'+selected+'>'+subLanguages[k]+'</option>');
//		}
//		document.write('</select></p></div>');	

	}
}

function setSubtitleLanguage(control) {
	if ( language!=control.value ) {
		language=control.value; location.search=getCurrentQuery();
	}
}


function includeMoviePlayer() {
	var video = getVideo();
	if ( !video ) return;
	
	var captions=false;
	var flashvars = 'movieFileName=../../movies/'+escape(video.movie)+".flv";

	captions=language;

	if ( !captions ) captions=defaultSubLanguage;

	if ( captions && captions!="none" ) flashvars+="&captionFileName=../movies/"+escape(video.movie)+"_"+escape(captions)+".xml";
	
	var bgcolor = embed ? "#cccccc" : "#99CCFF";
	// var bgcolor =  "#99CCFF";
	
	if (AC_FL_RunContent == 0) {
		alert("Javascript file AC_RunActiveContent.js not included.");
	} else {
		AC_FL_RunContent(
			'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0',
			'width', '512',
			'height', '330',
			'src', 'swf/primas_pd_movies',
			'quality', 'high',
			'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
			'align', 'middle',
			'play', 'true',
			'loop', 'true',
			'scale', 'showall',
			'wmode', 'window',
			'devicefont', 'false',
			'id', 'swf/primas_pd_movies',
			'bgcolor', bgcolor,
			'name', 'swf/primas_pd_movies',
			'menu', 'true',
			'allowFullScreen', 'true',
			'allowScriptAccess','sameDomain',
			'movie', 'swf/primas_pd_movies',
			'salign', '',
			'flashVars',flashvars
			); //end AC code

	}
}

